package resources;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/")
public class FallbackMethod {

    @RequestMapping("competitions-fallback")
    public String getCatalogFallback(){
        //it can be an empty list or last cash result
        return "Competition Service is temporary unavailable, Please Try Again Later";
    }

    @RequestMapping("Seasons-fallback")
    public String getMovieFallback(){
        //it can be an empty list or last cash result
        return "Season Service is temporary unavailable, Please Try Again Later";
    }

}
